# DataExchange
TKSTEPBase
StepGeom

# StepGeom_CartesianTransformationOperator Class Reference

`#include <StepGeom_CartesianTransformationOperator.hxx>`

Inheritance diagram for StepGeom_CartesianTransformationOperator:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_CartesianTransformationOperator ()
| Returns a CartesianTransformationOperator .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasAaxis1, const Handle(StepGeom_Direction)&aAxis1, const Standard_Boolean hasAaxis2, const Handle(StepGeom_Direction)&aAxis2, const Handle(StepGeom_CartesianPoint)&aLocalOrigin, const Standard_Boolean hasAscale, const Standard_Real aScale)
Standard_EXPORT void | SetAxis1 (const Handle(StepGeom_Direction)&aAxis1)
Standard_EXPORT void | UnSetAxis1 ()
Standard_EXPORT Handle_StepGeom_Direction | Axis1 () const
Standard_EXPORT Standard_Boolean | HasAxis1 () const
Standard_EXPORT void | SetAxis2 (const Handle(StepGeom_Direction)&aAxis2)
Standard_EXPORT void | UnSetAxis2 ()
Standard_EXPORT Handle_StepGeom_Direction | Axis2 () const
Standard_EXPORT Standard_Boolean | HasAxis2 () const
Standard_EXPORT void | SetLocalOrigin (const Handle(StepGeom_CartesianPoint)&aLocalOrigin)
Standard_EXPORT Handle_StepGeom_CartesianPoint | LocalOrigin () const
Standard_EXPORT void | SetScale (const Standard_Real aScale)
Standard_EXPORT void | UnSetScale ()
Standard_EXPORT Standard_Real | Scale () const
Standard_EXPORT Standard_Boolean | HasScale () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Direction | axis1
Handle_StepGeom_Direction | axis2
Handle_StepGeom_CartesianPoint | localOrigin
Standard_Real | scale
Standard_Boolean | hasAxis1
Standard_Boolean | hasAxis2
Standard_Boolean | hasScale

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_CartesianTransformationOperator::StepGeom_CartesianTransformationOperator | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Direction StepGeom_CartesianTransformationOperator::Axis1 | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_Direction StepGeom_CartesianTransformationOperator::Axis2 | ( |  | ) | const

Standard_EXPORT const StepGeom_CartesianTransformationOperator::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem. Reimplemented in StepGeom_CartesianTransformationOperator2d, and StepGeom_CartesianTransformationOperator3d.

Standard_EXPORT Standard_Boolean StepGeom_CartesianTransformationOperator::HasAxis1 | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepGeom_CartesianTransformationOperator::HasAxis2 | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepGeom_CartesianTransformationOperator::HasScale | ( |  | ) | const

virtual Standard_EXPORT void StepGeom_CartesianTransformationOperator::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasAaxis1,
|  | const Handle(StepGeom_Direction)& | aAxis1,
|  | const Standard_Boolean | hasAaxis2,
|  | const Handle(StepGeom_Direction)& | aAxis2,
|  | const Handle(StepGeom_CartesianPoint)& | aLocalOrigin,
|  | const Standard_Boolean | hasAscale,
|  | const Standard_Real | aScale
| ) | `[virtual]`

| Reimplemented in StepGeom_CartesianTransformationOperator3d.

virtual Standard_EXPORT void StepGeom_CartesianTransformationOperator::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepGeom_CartesianPoint StepGeom_CartesianTransformationOperator::LocalOrigin | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_CartesianTransformationOperator::Scale | ( |  | ) | const

Standard_EXPORT void StepGeom_CartesianTransformationOperator::SetAxis1 | ( | const Handle(StepGeom_Direction)& | aAxis1 | ) |

Standard_EXPORT void StepGeom_CartesianTransformationOperator::SetAxis2 | ( | const Handle(StepGeom_Direction)& | aAxis2 | ) |

Standard_EXPORT void StepGeom_CartesianTransformationOperator::SetLocalOrigin | ( | const Handle(StepGeom_CartesianPoint)& | aLocalOrigin | ) |

Standard_EXPORT void StepGeom_CartesianTransformationOperator::SetScale | ( | const Standard_Real | aScale | ) |

Standard_EXPORT void StepGeom_CartesianTransformationOperator::UnSetAxis1 | ( |  | ) |

Standard_EXPORT void StepGeom_CartesianTransformationOperator::UnSetAxis2 | ( |  | ) |

Standard_EXPORT void StepGeom_CartesianTransformationOperator::UnSetScale | ( |  | ) |

## Field Documentation

Handle_StepGeom_Direction StepGeom_CartesianTransformationOperator::axis1 `[private]`

Handle_StepGeom_Direction StepGeom_CartesianTransformationOperator::axis2 `[private]`

Standard_Boolean StepGeom_CartesianTransformationOperator::hasAxis1 `[private]`

Standard_Boolean StepGeom_CartesianTransformationOperator::hasAxis2 `[private]`

Standard_Boolean StepGeom_CartesianTransformationOperator::hasScale `[private]`

Handle_StepGeom_CartesianPoint StepGeom_CartesianTransformationOperator::localOrigin `[private]`

Standard_Real StepGeom_CartesianTransformationOperator::scale `[private]`

The documentation for this class was generated from the following file:

- StepGeom_CartesianTransformationOperator.hxx